Package org.h2.command

# Class ParserBase

java.lang.Object
org.h2.command.ParserBase

Direct Known Subclasses:
  `Parser`

public class ParserBase extends Object
The base class for the parser.

## Constructor Summary

Constructors
Constructor
Description
`ParserBase()`
Creates a new instance of parser for special use cases.

## Method Summary

Modifier and Type
Method
Description
`static String`
`formatNonKeywords(BitSet nonKeywords)`
Formats a comma-separated list of keywords.
`final int`
`getLastParseIndex()`
Returns the last parse index.
`Object`
`parseColumnList(String sql, int offset)`
Parses a list of column names or numbers in parentheses.
`static BitSet`
`parseNonKeywords(String[] nonKeywords)`
Parses the specified collection of non-keywords.
`static String`
`quoteIdentifier(String s, int sqlFlags)`
Add double quotes around an identifier if required.
`final void`
`setLiteralsChecked(boolean literalsChecked)`
`final void`
`setSuppliedParameters(ArrayList<Parameter> suppliedParameters)`
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParserBase

public ParserBase()
Creates a new instance of parser for special use cases.

## Method Details

### quoteIdentifier

public static String quoteIdentifier(String s, int sqlFlags)
Add double quotes around an identifier if required.

Parameters:
  `s` - the identifier
  `sqlFlags` - formatting flags
Returns:
  the quoted identifier

### parseNonKeywords

public static BitSet parseNonKeywords(String[] nonKeywords)
Parses the specified collection of non-keywords.

Parameters:
  `nonKeywords` - array of non-keywords in upper case
Returns:
  bit set of non-keywords, or `null`

### formatNonKeywords

public static String formatNonKeywords(BitSet nonKeywords)
Formats a comma-separated list of keywords.

Parameters:
  `nonKeywords` - bit set of non-keywords, or `null`
Returns:
  comma-separated list of non-keywords

### setLiteralsChecked

public final void setLiteralsChecked(boolean literalsChecked)

### setSuppliedParameters

public final void setSuppliedParameters(ArrayList<Parameter> suppliedParameters)

### parseColumnList

public Object parseColumnList(String sql, int offset)
Parses a list of column names or numbers in parentheses.

Parameters:
  `sql` - the source SQL
  `offset` - the initial offset
Returns:
  the array of column names (`String[]`) or numbers (`int[]`)
Throws:
  `DbException` - on syntax error

### getLastParseIndex

public final int getLastParseIndex()
Returns the last parse index.

Returns:
  the last parse index

### toString

public final String toString()

Overrides:
  `toString` in class `Object`